## networking-sfc 2.0.1~git20160926.27f311e

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.6 # Apache-2.0

Paste # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
pecan>=1.0.0 # BSD
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
requests>=2.10.0 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
python-neutronclient>=4.2.0 # Apache-2.0
retrying!=1.3.0,>=1.2.3 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WebOb>=1.2.3 # MIT
python-keystoneclient!=1.8.0,!=2.1.0,>=1.7.0 # Apache-2.0
alembic>=0.8.4 # MIT
six>=1.9.0 # MIT
stevedore>=1.16.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config>=3.14.0 # Apache-2.0
oslo.context!=2.6.0,>=2.4.0 # Apache-2.0
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
neutron-lib>=0.3.0 # Apache-2.0

python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
networking-sfc (2.0.1~git20160926.27f311e-1~cloud0) xenial-newton; urgency=medium

  * New package for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Fri, 30 Sep 2016 07:24:46 +0000

networking-sfc (2.0.1~git20160926.27f311e-1) experimental; urgency=medium

  * Initial release (Closes: #833729).

 -- James Page <james.page@ubuntu.com>  Mon, 26 Sep 2016 11:09:09 +0100

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.4),
                     python-cliff (>= 1.15.0),
                     python-coverage (>= 3.6),
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-greenlet (>= 0.3.2),
                     python-hacking,
                     python-httplib2 (>= 0.7.5),
                     python-jinja2 (>= 2.8),
                     python-keystoneclient (>= 1:1.7.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.12),
                     python-neutron (>= 2:9.0.0~),
                     python-neutron-lib (>= 0.3.0),
                     python-neutronclient (>= 1:4.2.0),
                     python-novaclient (>= 2:2.29.0),
                     python-os-testr (>= 0.7.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.context (>= 2.4.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 5.2.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.9.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.16.0),
                     python-oslo.versionedobjects (>= 1.13.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.1.2),
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-retrying (>= 1.2.3),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.16.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Homepage: http://github.com/openstack/networking-sfc
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-sfc.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-sfc.git

Package: python-networking-sfc
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-debtcollector (>= 1.2.0),
         python-eventlet (>= 0.18.2),
         python-greenlet (>= 0.3.2),
         python-httplib2 (>= 0.7.5),
         python-jinja2 (>= 2.8),
         python-keystoneclient (>= 1:1.7.0),
         python-keystonemiddleware (>= 4.0.0),
         python-netaddr (>= 0.7.12),
         python-neutron (>= 2:9.0.0~),
         python-neutron-lib (>= 0.3.0),
         python-neutronclient (>= 1:4.2.0),
         python-novaclient (>= 2:2.29.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.context (>= 2.4.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.9.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.16.0),
         python-oslo.versionedobjects (>= 1.13.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pecan (>= 1.1.2),
         python-requests (>= 2.10.0),
         python-retrying (>= 1.2.3),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.16.0),
         python-webob (>= 1.2.3),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Service Function Chaining (SFC)
 extension.

## networking-sfc 4.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

eventlet!=0.18.3,>=0.18.2 # MIT
netaddr!=0.7.16,>=0.7.13 # BSD
python-neutronclient>=5.1.0 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.14.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
python-openstackclient>=3.3.0 # Apache-2.0
neutron-lib>=1.1.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
networking-sfc (4.0.0-0ubuntu1~cloud0) xenial-ocata; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 08 Mar 2017 14:55:13 +0000

networking-sfc (4.0.0-0ubuntu1) zesty; urgency=medium

  * d/watch: Point to tarballs.openstack.org 
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.
  * d/patches/0001-Include-alembic-migrations-in-module.patch: Dropped no
    longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 08 Mar 2017 08:40:53 -0500

networking-sfc (3.0.0-0ubuntu1) zesty; urgency=medium

  * d/watch: Update URL with correct project name.
  * d/gbp.conf: Use debian-branch=master.
  * New upstream release.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 12 Dec 2016 11:10:27 -0500

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.10),
                     python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.12.0),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutron,
                     python-neutron-lib (>= 1.1.0),
                     python-neutronclient (>= 1:5.1.0),
                     python-openstackclient (>= 3.3.0),
                     python-os-api-ref (>= 1.0.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.config (>= 1:3.14.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslosphinx (>= 4.7.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.7.6),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.17.1),
                     python-tempest-lib (>= 0.14.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.6.0),
                     python-webtest (>= 2.0),
Standards-Version: 3.9.6
Homepage: http://github.com/openstack/networking-sfc
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-sfc.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-sfc.git

Package: python-networking-sfc
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-eventlet (>= 0.18.2),
         python-netaddr (>= 0.7.13),
         python-neutron,
         python-neutron-lib (>= 1.0.0),
         python-neutronclient (>= 1:5.1.0),
         python-openstackclient (>= 3.3.0),
         python-oslo.config (>= 1:3.14.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.2.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-paste,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.17.1),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Service Function Chaining (SFC)
 extension.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
 http://tarballs.openstack.org/networking-sfc/ networking-sfc-(\d.*)\.tar\.gz

## networking-sfc 5.0.0

=== debian/changelog ===
networking-sfc (5.0.0-0ubuntu1~cloud0) xenial-pike; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 30 Aug 2017 16:10:59 +0000

networking-sfc (5.0.0-0ubuntu1) artful; urgency=medium

  * New upstream release for OpenStack Pike.

 -- James Page <james.page@ubuntu.com>  Wed, 30 Aug 2017 15:09:45 +0100

networking-sfc (5.0.0~rc2-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Aug 2017 12:25:34 -0400

networking-sfc (5.0.0~rc1-0ubuntu1) artful; urgency=medium

  * New upstream release candidate for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Temporarily drop openstackdocstheme
    sphinx extension until sphinx>=1.6.2 is available.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 17 Aug 2017 21:45:42 -0400

networking-sfc (5.0.0~b3-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 31 Jul 2017 14:28:22 -0400

networking-sfc (5.0.0~b2-0ubuntu1) artful; urgency=medium

  * New upstream milestone for OpenStack Pike.
  * d/control: Align (Build-)Depends with upstream.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Jun 2017 22:35:43 +0100

networking-sfc (5.0.0~b1-0ubuntu2) artful; urgency=medium

  * No-change rebuild for sqlalchemy 1.1.x.

 -- James Page <james.page@ubuntu.com>  Fri, 28 Apr 2017 10:07:25 +0100

networking-sfc (5.0.0~b1-0ubuntu1) artful; urgency=medium

  * d/watch: Use tarballs.openstack.org.
  * New upstream milestone for OpenStack Pike.
  * Align (Build-)Depends with upstream milestone.

 -- James Page <james.page@ubuntu.com>  Thu, 27 Apr 2017 09:55:36 +0100

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: James Page <james.page@ubuntu.com>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               openstack-pkg-tools,
               python-all,
               python-pbr (>= 2.0.0),
               python-setuptools,
               python-sphinx (>= 1.5.1),
Build-Depends-Indep: alembic (>= 0.8.10),
                     python-coverage (>= 4.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 3.0.0),
                     python-hacking (>= 0.12.0),
                     python-mock (>= 2.0),
                     python-netaddr (>= 0.7.13),
                     python-neutron,
                     python-neutron-lib (>= 1.9.0),
                     python-neutronclient (>= 1:6.3.0),
                     python-openstackdocstheme (>= 1.16.0),
                     python-os-api-ref (>= 1.0.0),
                     python-os-testr (>= 0.8.0),
                     python-oslo.config (>= 1:4.0.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.22.0),
                     python-oslo.messaging (>= 5.25.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.utils (>= 3.20.0),
                     python-oslotest (>= 1.10.0),
                     python-paste,
                     python-psycopg2 (>= 2.5),
                     python-pymysql (>= 0.7.6),
                     python-requests-mock (>= 1.1),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.20.0),
                     python-tempest-lib (>= 0.14.0),
                     python-testrepository (>= 0.0.18),
                     python-testresources (>= 0.2.4),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-webob (>= 1.7.1),
                     python-webtest (>= 2.0),
Standards-Version: 3.9.6
Homepage: http://github.com/openstack/networking-sfc
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-sfc.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-sfc.git

Package: python-networking-sfc
Architecture: all
Section: python
Depends: alembic (>= 0.8.4),
         python-eventlet (>= 0.18.2),
         python-netaddr (>= 0.7.13),
         python-neutron,
         python-neutron-lib (>= 1.9.0),
         python-neutronclient (>= 1:6.3.0),
         python-oslo.config (>= 1:4.0.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.22.0),
         python-oslo.messaging (>= 5.25.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.utils (>= 3.20.0),
         python-paste,
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.20.0),
         python-webob (>= 1.7.1),
         ${misc:Depends},
         ${python:Depends}
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Service Function Chaining (SFC)
 extension.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-sfc networking-sfc-(\d.*)\.tar\.gz

## networking-sfc 6.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,<0.21.0,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
python-neutronclient>=6.3.0 # Apache-2.0
SQLAlchemy!=1.1.5,!=1.1.6,!=1.1.7,!=1.1.8,>=1.0.10 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.config>=5.1.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
neutron-lib>=1.12.0 # Apache-2.0

# This project does depend on neutron as a library, but the
# openstack tooling does not play nicely with projects that
# are not publicly available in pypi.
# -e git+https://git.openstack.org/openstack/neutron#egg=neutron

=== debian/changelog ===
networking-sfc (6.0.0-0ubuntu1) bionic; urgency=medium

  * New upstream release for OpenStack Queens.

 -- James Page <james.page@ubuntu.com>  Wed, 28 Feb 2018 16:53:17 +0000

networking-sfc (6.0.0~rc1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Switch to using python3-sphinx.

 -- James Page <james.page@ubuntu.com>  Mon, 12 Feb 2018 17:52:57 +0000

networking-sfc (6.0.0~b3-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/watch: Scope to Queens series.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 26 Jan 2018 15:37:57 -0500

networking-sfc (6.0.0~b2-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/*: wrap-and-sort -bast.
  * d/control: Bumped Standards-Version to 4.1.2.
  * d/control: Bump minimum debhelper version to 10.

 -- James Page <james.page@ubuntu.com>  Mon, 11 Dec 2017 21:27:20 +0000

networking-sfc (6.0.0~b1-0ubuntu2) bionic; urgency=medium

  * d/control: Move from tempest-lib to tempest BD.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 21 Nov 2017 10:52:17 -0500

networking-sfc (6.0.0~b1-0ubuntu1) bionic; urgency=medium

  * New upstream milestone for OpenStack Queens.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/drop-openstackdoctheme.patch: Dropped. No longer needed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 15 Nov 2017 16:21:22 -0500

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python-alembic (>= 0.8.10),
 python-coverage (>= 4.0),
 python-eventlet (>= 0.18.2),
 python-fixtures (>= 3.0.0),
 python-hacking (>= 0.12.0),
 python-mock (>= 2.0.0),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-neutronclient (>= 1:6.3.0),
 python-openstackdocstheme (>= 1.18.1),
 python-os-api-ref (>= 1.4.0),
 python-os-testr (>= 1.0.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-oslotest (>= 1:3.2.0),
 python-paste,
 python-psycopg2 (>= 2.6.2),
 python-pymysql (>= 0.7.6),
 python-requests-mock (>= 1.1.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-subunit (>= 1.0.0),
 python-tempest (>= 1:17.1.0),
 python-testrepository (>= 0.0.18),
 python-testresources (>= 2.0.0),
 python-testscenarios (>= 0.4),
 python-testtools (>= 2.2.0),
 python-webob (>= 1:1.7.1),
 python-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Homepage: http://github.com/openstack/networking-sfc
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-sfc.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-sfc.git

Package: python-networking-sfc
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.4),
 python-eventlet (>= 0.18.2),
 python-netaddr (>= 0.7.18),
 python-neutron (>= 2:12.0.0~),
 python-neutron-lib (>= 1.13.0),
 python-neutronclient (>= 1:6.3.0),
 python-oslo.config (>= 1:5.1.0),
 python-oslo.i18n (>= 3.15.3),
 python-oslo.log (>= 3.36.0),
 python-oslo.messaging (>= 5.29.0),
 python-oslo.serialization (>= 2.18.0),
 python-oslo.utils (>= 3.33.0),
 python-paste,
 python-pbr (>= 2.0.0),
 python-six (>= 1.10.0),
 python-sqlalchemy (>= 1.0.10),
 python-stevedore (>= 1:1.20.0),
 python-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python:Depends},
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Service Function Chaining (SFC)
 extension.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

export OSLO_PACKAGE_VERSION=$(shell echo '$(VERSION)' | cut -d '~' -f 1)

%:
	dh $@ --buildsystem=python_distutils --with python2

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	ostestr
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build

override_dh_install:
	dh_install
	rm -rf $(CURDIR)/debian/python-networking-sfc/usr/bin

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-sfc networking-sfc-(6\.\d.*)\.tar\.gz

## networking-sfc 7.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr!=2.1.0,>=2.0.0 # Apache-2.0

eventlet!=0.18.3,!=0.20.1,>=0.18.2 # MIT
netaddr>=0.7.18 # BSD
python-neutronclient>=6.7.0 # Apache-2.0
SQLAlchemy>=1.2.0 # MIT
alembic>=0.8.10 # MIT
six>=1.10.0 # MIT
stevedore>=1.20.0 # Apache-2.0
oslo.config>=5.2.0 # Apache-2.0
oslo.i18n>=3.15.3 # Apache-2.0
oslo.log>=3.36.0 # Apache-2.0
oslo.messaging>=5.29.0 # Apache-2.0
oslo.serialization!=2.19.1,>=2.18.0 # Apache-2.0
oslo.utils>=3.33.0 # Apache-2.0
neutron-lib>=1.18.0 # Apache-2.0
neutron>=13.0.0.0b2 # Apache-2.0

=== debian/changelog ===
networking-sfc (7.0.0-1) unstable; urgency=medium

  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Wed, 05 Sep 2018 16:52:00 +0200

networking-sfc (7.0.0~rc1-1) experimental; urgency=medium

  [ Ondřej Nový ]
  * Running wrap-and-sort -bast
  * d/control: Use team+openstack@tracker.debian.org as maintainer
  * d/control: Add trailing tilde to min version depend to allow
    backports

  [ Thomas Goirand ]
  * Fixed watch file pointing to the wrong project.
  * New upstream release.
  * Fixed (build-)depends for this release.

 -- Thomas Goirand <zigo@debian.org>  Tue, 28 Aug 2018 21:47:14 +0200

networking-sfc (6.0.0-1) unstable; urgency=medium

  [ Daniel Baumann ]
  * Updating copyright format url.
  * Updating maintainer field.
  * Running wrap-and-sort -bast.
  * Removing gbp.conf, not used anymore or should be specified in the
    developers dotfiles.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/control: Add trailing tilde to min version depend to allow
    backports

  [ Thomas Goirand ]
  * New upstream release:
    - Fixes FTBFS (Closes: #884563).
    - Works with SQLA 1.1 (Closes: #852800).
  * Fixed (build-)depends for this release.
  * Switched to Python 3.
  * Removed patches.
  * Uploading to unstable.
  * Standards-Version is now 4.1.3.
  * Reviewed debian/copyright holder list and years.

 -- Thomas Goirand <zigo@debian.org>  Thu, 15 Mar 2018 22:36:37 +0000

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Debian OpenStack <team+openstack@tracker.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
 Thomas Goirand <zigo@debian.org>,
Build-Depends:
 debhelper (>= 10),
 dh-python,
 openstack-pkg-tools (>= 70~),
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.2),
Build-Depends-Indep:
 alembic (>= 0.8.10),
 python3-coverage,
 python3-eventlet,
 python3-fixtures,
 python3-hacking,
 python3-mock,
 python3-netaddr,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-requests-mock (>= 1.2.0),
 python3-six,
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1.20.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1.7.1),
 python3-webtest (>= 2.0.27),
 subunit (>= 0.0.18),
Standards-Version: 4.1.3
Homepage: http://github.com/openstack/networking-sfc
Vcs-Browser: https://salsa.debian.org/openstack-team/services/networking-sfc
Vcs-Git: https://salsa.debian.org/openstack-team/services/networking-sfc.git

Package: python3-networking-sfc
Architecture: all
Section: python
Depends:
 alembic (>= 0.8.10),
 python3-eventlet,
 python3-netaddr,
 python3-neutron (>= 2:13.0.0~rc1),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-oslo.concurrency (>= 3.8.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-pbr (>= 2.0.0),
 python3-six,
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1.20.0),
 ${misc:Depends},
 ${python3:Depends},
Breaks:
 python-networking-sfc,
Replaces:
 python-networking-sfc,
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python files for the Service Function Chaining (SFC)
 extension.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_clean:
	dh_clean
	rm -rf build

override_dh_auto_clean:
	python3 setup.py clean

override_dh_auto_build:
	echo "Do nothing..."

override_dh_auto_install:
	echo "Do nothing..."

override_dh_auto_test:
	echo "Do nothing..."

override_dh_install:
	for i in $(PYTHON3S) ; do \
		python$$i setup.py install --install-layout=deb --root $(CURDIR)/debian/tmp ; \
	done
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	pkgos-dh_auto_test --no-py2 'networking_sfc\.tests.*'
endif
	dh_install
	dh_missing --fail-missing

# Commands not to run
override_dh_installcatalogs:
override_dh_installemacsen override_dh_installifupdown:
override_dh_installinfo override_dh_installmenu override_dh_installmime:
override_dh_installmodules override_dh_installlogcheck:
override_dh_installpam override_dh_installppp override_dh_installudev override_dh_installwm:
override_dh_installxfonts override_dh_gconf override_dh_icons override_dh_installgsettings:

=== debian/watch ===
version=3
opts="uversionmangle=s/\.(b|rc)/~$1/" \
https://github.com/openstack/networking-sfc/tags .*/(\d[\d\.]+)\.tar\.gz

## networking-sfc 8.0.0

=== debian/changelog ===
networking-sfc (8.0.0-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 12 Apr 2019 09:47:00 +0100

networking-sfc (8.0.0~rc1-0ubuntu1) disco; urgency=medium

  * New upstream release candidate for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Mar 2019 10:57:30 +0000

networking-sfc (8.0.0~b1-0ubuntu1) disco; urgency=medium

  * New upstream release for OpenStack Stein.
  * d/watch: Fix watch for the new release.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 14 Mar 2019 14:52:57 +0000

networking-sfc (8.0.0~b1~git2019013132.17598fb-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.

 -- James Page <james.page@ubuntu.com>  Fri, 01 Feb 2019 09:36:43 +0000

networking-sfc (8.0.0~b1~git2019013016.17598fb-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 30 Jan 2019 16:13:47 -0500

networking-sfc (8.0.0~b1~git2018111644.369d119-0ubuntu1) disco; urgency=medium

  * New upstream snapshot for OpenStack Stein.
  * d/control,rules: Drop Python 2 support.

 -- James Page <james.page@ubuntu.com>  Fri, 16 Nov 2018 12:07:00 +0000

networking-sfc (7.0.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release for OpenStack Rocky.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 30 Aug 2018 13:32:06 -0400

networking-sfc (7.0.0~rc1-0ubuntu1) cosmic; urgency=medium

  * New upstream release candidate for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 10 Aug 2018 16:15:40 -0400

networking-sfc (7.0.0~b3-0ubuntu1) cosmic; urgency=medium

  * New upstream milestone for OpenStack Rocky.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 08 Aug 2018 12:47:20 -0400

networking-sfc (7.0.0~b2-0ubuntu2) cosmic; urgency=medium

  * Add Python 3 support:
    - d/control: Add BD's for py3, add -common and python3- pkgs.
    - d/control: Deal with move of configuration files to -common.
    - d/rules: Use pkgos-dh_auto_install.
    - d/rules: Directly generate sample config files.

 -- James Page <james.page@ubuntu.com>  Wed, 20 Jun 2018 14:39:25 +0100

networking-sfc (7.0.0~b2-0ubuntu1) cosmic; urgency=medium

  * d/watch: Align to Rocky series.
  * New upstream milestone for OpenStack Rocky.

 -- James Page <james.page@ubuntu.com>  Wed, 13 Jun 2018 17:04:04 +0100

=== debian/control ===
Source: networking-sfc
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders:
 James Page <james.page@ubuntu.com>,
Build-Depends:
 debhelper (>= 10~),
 dh-python,
 openstack-pkg-tools,
 python-all,
 python-pbr (>= 2.0.0),
 python-setuptools,
 python3-all,
 python3-pbr (>= 2.0.0),
 python3-setuptools,
 python3-sphinx (>= 1.6.5),
Build-Depends-Indep:
 python3-alembic (>= 0.8.10),
 python3-astroid (>= 1.6.5),
 python3-coverage (>= 4.0),
 python3-eventlet (>= 0.18.2),
 python3-fixtures (>= 3.0.0),
 python3-hacking (>= 0.12.0),
 python3-mock (>= 2.0.0),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:13.0.0~b2~),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-openstackdocstheme (>= 1.18.1),
 python3-os-api-ref (>= 1.4.0),
 python3-os-testr,
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-oslotest (>= 1:3.2.0),
 python3-paste,
 python3-psycopg2 (>= 2.6.2),
 python3-pymysql (>= 0.7.6),
 python3-reno (>= 2.5.0),
 python3-requests-mock (>= 1.2.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stestr (>= 2.0.0),
 python3-stevedore (>= 1:1.20.0),
 python3-subunit (>= 1.0.0),
 python3-tempest (>= 1:17.1.0),
 python3-testresources (>= 2.0.0),
 python3-testscenarios (>= 0.4),
 python3-testtools (>= 2.2.0),
 python3-webob (>= 1:1.7.1),
 python3-webtest (>= 2.0.27),
Standards-Version: 4.1.2
Homepage: http://github.com/openstack/networking-sfc
Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-sfc.git;a=summary
Vcs-Git: https://anonscm.debian.org/git/openstack/networking-sfc.git

Package: networking-sfc-common
Architecture: all
Section: python
Depends:
 ${misc:Depends},
Breaks:
 python-networking-sfc (<< 7.0.0~b2-0ubuntu2~),
Replaces:
 python-networking-sfc (<< 7.0.0~b2-0ubuntu2~),
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package contains the common configuration files for the Service Function
 Chaining (SFC) extension.

Package: python3-networking-sfc
Architecture: all
Section: python
Depends:
 networking-sfc-common (= ${source:Version}),
 python3-alembic (>= 0.8.10),
 python3-astroid (>= 1.6.5),
 python3-eventlet (>= 0.18.2),
 python3-netaddr (>= 0.7.18),
 python3-neutron (>= 2:13.0.0~b2~),
 python3-neutron-lib (>= 1.18.0),
 python3-neutronclient (>= 1:6.7.0),
 python3-oslo.config (>= 1:5.2.0),
 python3-oslo.i18n (>= 3.15.3),
 python3-oslo.log (>= 3.36.0),
 python3-oslo.messaging (>= 5.29.0),
 python3-oslo.serialization (>= 2.18.0),
 python3-oslo.utils (>= 3.33.0),
 python3-paste,
 python3-pbr (>= 2.0.0),
 python3-six (>= 1.10.0),
 python3-sqlalchemy (>= 1.2.0),
 python3-stevedore (>= 1:1.20.0),
 python3-webob (>= 1:1.7.1),
 ${misc:Depends},
 ${python3:Depends},
Description: OpenStack virtual network service - SFC extension
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python 3 module for the Service Function Chaining
 (SFC) extension.

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-sfc networking-sfc-(8\.\d.*)\.tar\.gz

## networking-sfc 9.0.0

=== debian/changelog ===
networking-sfc (9.0.0-0ubuntu1~cloud0) bionic-train; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 16 Oct 2019 15:55:44 +0000

networking-sfc (9.0.0-0ubuntu1) eoan; urgency=medium

  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Wed, 16 Oct 2019 16:15:43 +0100

networking-sfc (9.0.0~rc1-0ubuntu1) eoan; urgency=medium

  * d/watch: Track 9.x series.
  * New upstream release for OpenStack Train.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Sep 2019 12:29:51 +0100

networking-sfc (9.0.0~b2~git2019080111.7fb0207-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 01 Aug 2019 11:12:28 +0200

networking-sfc (9.0.0~b1~git2019061326.e617fc9-0ubuntu1) eoan; urgency=medium

  * New upstream snapshot for OpenStack Train.
  * d/control: Align (Build-)Depends with upstream.
  * d/control: Update Vcs-* fields.

 -- James Page <james.page@ubuntu.com>  Thu, 13 Jun 2019 12:04:29 +0100

=== debian/control ===
--- 
+++ 
@@ -25,7 +25,7 @@
  python3-hacking (>= 0.12.0),
  python3-mock (>= 2.0.0),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:13.0.0~b2~),
+ python3-neutron (>= 2:15.0.0~),
  python3-neutron-lib (>= 1.18.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackdocstheme (>= 1.18.1),
@@ -48,7 +48,6 @@
  python3-stestr (>= 2.0.0),
  python3-stevedore (>= 1:1.20.0),
  python3-subunit (>= 1.0.0),
- python3-tempest (>= 1:17.1.0),
  python3-testresources (>= 2.0.0),
  python3-testscenarios (>= 0.4),
  python3-testtools (>= 2.2.0),
@@ -56,8 +55,8 @@
  python3-webtest (>= 2.0.27),
 Standards-Version: 4.1.2
 Homepage: http://github.com/openstack/networking-sfc
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=openstack/networking-sfc.git;a=summary
-Vcs-Git: https://anonscm.debian.org/git/openstack/networking-sfc.git
+Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-sfc
+Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/networking-sfc
 
 Package: networking-sfc-common
 Architecture: all
@@ -86,7 +85,7 @@
  python3-astroid (>= 1.6.5),
  python3-eventlet (>= 0.18.2),
  python3-netaddr (>= 0.7.18),
- python3-neutron (>= 2:13.0.0~b2~),
+ python3-neutron (>= 2:15.0.0~),
  python3-neutron-lib (>= 1.18.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-oslo.config (>= 1:5.2.0),

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python3

override_dh_auto_install:
	pkgos-dh_auto_install --no-py2

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	pkgos-dh_auto_test --no-py2
endif

override_dh_clean:
	dh_clean -O--buildsystem=python_distutils
	rm -rf build etc/neutron

override_dh_install:
	# NOTE: generate configuration files directly
	mkdir -p etc/neutron
	for file in `ls etc/oslo-config-generator/*`; do \
	     PYTHONPATH=$(CURDIR) oslo-config-generator --config-file=$$file \
	        --output-file=etc/neutron/`basename $$file`; \
	done
	dh_install
	rm -rf $(CURDIR)/debian/python*-networking-sfc/usr/bin

## networking-sfc 10.0.0~b3~git2020032510.8417568

=== requirements.txt ===
--- 
+++ 
@@ -18,3 +18,9 @@
 oslo.utils>=3.33.0 # Apache-2.0
 neutron-lib>=1.18.0 # Apache-2.0
 neutron>=13.0.0.0b2 # Apache-2.0
+
+# The comment below indicates this project repo is current with neutron-lib
+# and should receive neutron-lib consumption patches as they are released
+# in neutron-lib. It also implies the project will stay current with TC
+# and infra initiatives ensuring consumption patches can land.
+# neutron-lib-current

=== doc/requirements.txt ===
sphinx!=1.6.6,!=1.6.7,>=1.6.5;python_version>='3.4' # BSD
openstackdocstheme>=1.18.1 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=2.5.0  # Apache-2.0
os-api-ref>=1.4.0 # Apache-2.0

=== debian/changelog ===
networking-sfc (10.0.0~b3~git2020032510.8417568-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- James Page <james.page@ubuntu.com>  Wed, 25 Mar 2020 10:21:28 +0000

networking-sfc (10.0.0~b2~git2020020614.8417568-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Thu, 06 Feb 2020 15:17:23 +0100

networking-sfc (10.0.0~b1~git2019121711.5417e6c-0ubuntu1) focal; urgency=medium

  * New upstream snapshot for OpenStack Ussuri.
  * d/control: Align (Build-)Depends with upstream
  * d/control: Align (Build-)Depends with upstream
  * d/rules: Swith to pybuild
  * d/rules: Update PBR_VERSION to handle ~git versioning.

 -- Sahid Orentino Ferdjaoui <sahid.ferdjaoui@canonical.com>  Tue, 17 Dec 2019 12:27:02 +0100

=== debian/control ===
--- 
+++ 
@@ -9,9 +9,6 @@
  debhelper (>= 10~),
  dh-python,
  openstack-pkg-tools,
- python-all,
- python-pbr (>= 2.0.0),
- python-setuptools,
  python3-all,
  python3-pbr (>= 2.0.0),
  python3-setuptools,
@@ -39,7 +36,7 @@
  python3-oslo.utils (>= 3.33.0),
  python3-oslotest (>= 1:3.2.0),
  python3-paste,
- python3-psycopg2 (>= 2.6.2),
+ python3-psycopg2 (>= 2.7.7),
  python3-pymysql (>= 0.7.6),
  python3-reno (>= 2.5.0),
  python3-requests-mock (>= 1.2.0),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/networking-sfc networking-sfc-(9\.\d.*)\.tar\.gz

## networking-sfc 10.0.0

=== doc/requirements.txt ===
sphinx>=2.0.0,!=2.1.0 # BSD
openstackdocstheme>=2.0.0 # Apache-2.0
sphinxcontrib-svg2pdfconverter>=0.1.0 # BSD
reno>=2.5.0  # Apache-2.0
os-api-ref>=1.5.0 # Apache-2.0

=== debian/changelog ===
networking-sfc (10.0.0-0ubuntu0.20.04.1) focal; urgency=medium

  * d/watch: Scope to 10.x series and get tarballs from opendev.org.
  * New upstream release for OpenStack Ussuri (LP: #1877642).
  * d/p/monkey-patch-original-current-thread.patch: Cherry-picked
    from upstream to fix Python 3.8 monkey patching (LP: #1863021).
  * d/control: Align (Build-)Depends with upstream.
  * d/gbp.conf: Create stable/ussuri branch.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 14 May 2020 14:41:04 -0400

=== debian/control ===
--- 
+++ 
@@ -26,7 +26,7 @@
  python3-neutron-lib (>= 1.18.0),
  python3-neutronclient (>= 1:6.7.0),
  python3-openstackdocstheme (>= 1.18.1),
- python3-os-api-ref (>= 1.4.0),
+ python3-os-api-ref (>= 1.5.0),
  python3-os-testr,
  python3-oslo.config (>= 1:5.2.0),
  python3-oslo.i18n (>= 3.15.3),

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 https://tarballs.opendev.org/openstack/networking-sfc networking-sfc-(10\.\d.*)\.tar\.gz
